"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.simulateUserOperationChanges = void 0;
const aa_core_1 = require("@alchemy/aa-core");
const isAlchemySmartAccountClient_js_1 = require("../client/isAlchemySmartAccountClient.js");
const simulateUserOperationChanges = async (client, { account = client.account, overrides, ...params }) => {
    if (!account) {
        throw new aa_core_1.AccountNotFoundError();
    }
    if (!(0, isAlchemySmartAccountClient_js_1.isAlchemySmartAccountClient)(client)) {
        throw new aa_core_1.IncompatibleClientError("AlchemySmartAccountClient", "SimulateUserOperationAssetChanges", client);
    }
    const uoStruct = (0, aa_core_1.deepHexlify)(await client.buildUserOperation({
        ...params,
        account,
        overrides,
    }));
    return client.request({
        method: "alchemy_simulateUserOperationAssetChanges",
        params: [uoStruct, account.getEntryPoint().address],
    });
};
exports.simulateUserOperationChanges = simulateUserOperationChanges;
//# sourceMappingURL=simulateUserOperationChanges.js.map