"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.alchemyEnhancedApiActions = void 0;
const schema_js_1 = require("../../schema.js");
const alchemyEnhancedApiActions = (alchemy) => (client) => {
    const alchemySdk = schema_js_1.AlchemySdkClientSchema.parse(alchemy);
    if (client.transport.type === "http") {
        const { url } = client.transport;
        if (client.transport.type === "http" &&
            alchemy.config.url &&
            alchemy.config.url !== url) {
            throw new Error("Alchemy SDK client JSON-RPC URL must match AlchemyProvider JSON-RPC URL");
        }
    }
    return {
        core: alchemySdk.core,
        nft: alchemySdk.nft,
        transact: alchemySdk.transact,
        debug: alchemySdk.debug,
        ws: alchemySdk.ws,
        notify: alchemySdk.notify,
        config: alchemySdk.config,
    };
};
exports.alchemyEnhancedApiActions = alchemyEnhancedApiActions;
//# sourceMappingURL=alchemyEnhancedApis.js.map