"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMultiOwnerLightAccountAlchemyClient = void 0;
const aa_accounts_1 = require("@alchemy/aa-accounts");
const viem_1 = require("viem");
const schema_js_1 = require("../schema.js");
const smartAccountClientFromRpc_js_1 = require("./internal/smartAccountClientFromRpc.js");
const rpcClient_js_1 = require("./rpcClient.js");
async function createMultiOwnerLightAccountAlchemyClient(config) {
    const { chain, opts, ...connectionConfig } = schema_js_1.AlchemyProviderConfigSchema.parse(config);
    const client = (0, rpcClient_js_1.createAlchemyPublicRpcClient)({
        chain,
        connectionConfig,
    });
    const account = await (0, aa_accounts_1.createMultiOwnerLightAccount)({
        transport: (0, viem_1.custom)(client),
        ...config,
    });
    return (0, smartAccountClientFromRpc_js_1.createAlchemySmartAccountClientFromRpcClient)({
        ...config,
        client,
        account,
        opts,
    }).extend(aa_accounts_1.multiOwnerLightAccountClientActions);
}
exports.createMultiOwnerLightAccountAlchemyClient = createMultiOwnerLightAccountAlchemyClient;
//# sourceMappingURL=multiOwnerLightAccountClient.js.map