"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMultisigAccountAlchemyClient = void 0;
const aa_accounts_1 = require("@alchemy/aa-accounts");
const aa_core_1 = require("@alchemy/aa-core");
const viem_1 = require("viem");
const schema_js_1 = require("../schema.js");
const smartAccountClientFromRpc_js_1 = require("./internal/smartAccountClientFromRpc.js");
const rpcClient_js_1 = require("./rpcClient.js");
async function createMultisigAccountAlchemyClient(config) {
    const { chain, opts, ...connectionConfig } = schema_js_1.AlchemyProviderConfigSchema.parse(config);
    const client = (0, rpcClient_js_1.createAlchemyPublicRpcClient)({
        chain,
        connectionConfig,
    });
    const account = await (0, aa_accounts_1.createMultisigModularAccount)({
        transport: (0, viem_1.custom)(client),
        ...config,
    });
    return (0, smartAccountClientFromRpc_js_1.createAlchemySmartAccountClientFromRpcClient)({
        ...config,
        client,
        account,
        opts,
        signUserOperation: aa_accounts_1.multisigSignatureMiddleware,
    })
        .extend(aa_core_1.smartAccountClientActions)
        .extend(aa_accounts_1.multisigPluginActions)
        .extend(aa_accounts_1.pluginManagerActions)
        .extend(aa_accounts_1.accountLoupeActions);
}
exports.createMultisigAccountAlchemyClient = createMultisigAccountAlchemyClient;
//# sourceMappingURL=multisigAccountClient.js.map