"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAlchemySmartAccountClient = void 0;
const defaults_js_1 = require("../defaults.js");
const schema_js_1 = require("../schema.js");
const smartAccountClientFromRpc_js_1 = require("./internal/smartAccountClientFromRpc.js");
const rpcClient_js_1 = require("./rpcClient.js");
function createAlchemySmartAccountClient({ account, gasManagerConfig, useSimulation, feeEstimator, customMiddleware, gasEstimator, signUserOperation, ...config_ }) {
    const config = schema_js_1.AlchemyProviderConfigSchema.parse(config_);
    const { chain, opts, ...connectionConfig } = config;
    const client = (0, rpcClient_js_1.createAlchemyPublicRpcClient)({
        chain,
        connectionConfig,
    });
    const feeOptions = opts?.feeOptions ?? (0, defaults_js_1.getDefaultUserOperationFeeOptions)(chain);
    return (0, smartAccountClientFromRpc_js_1.createAlchemySmartAccountClientFromRpcClient)({
        client,
        account,
        opts: {
            ...opts,
            feeOptions,
        },
        gasManagerConfig,
        useSimulation,
        feeEstimator,
        customMiddleware,
        gasEstimator,
        signUserOperation,
    });
}
exports.createAlchemySmartAccountClient = createAlchemySmartAccountClient;
//# sourceMappingURL=smartAccountClient.js.map