"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnection = void 0;
const errors_js_1 = require("../errors.js");
const getChain_js_1 = require("./getChain.js");
function getConnection(config) {
    const chain = (0, getChain_js_1.getChain)(config);
    const connection = config.coreStore.getState().connections.get(chain.id);
    if (!connection) {
        throw new errors_js_1.ChainNotFoundError(chain);
    }
    return connection;
}
exports.getConnection = getConnection;
//# sourceMappingURL=getConnection.js.map