"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setChain = void 0;
const core_1 = require("@wagmi/core");
const rpcClient_js_1 = require("../../client/rpcClient.js");
const errors_js_1 = require("../errors.js");
async function setChain(config, chain) {
    const connection = config.coreStore.getState().connections.get(chain.id);
    if (connection == null) {
        throw new errors_js_1.ChainNotFoundError(chain);
    }
    await (0, core_1.switchChain)(config._internal.wagmiConfig, { chainId: chain.id });
    config.coreStore.setState(() => ({
        chain,
        bundlerClient: (0, rpcClient_js_1.createAlchemyPublicRpcClient)({
            chain,
            connectionConfig: connection,
        }),
    }));
}
exports.setChain = setChain;
//# sourceMappingURL=setChain.js.map