"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.watchAccount = void 0;
const errors_js_1 = require("../errors.js");
const getChain_js_1 = require("./getChain.js");
const watchAccount = (type, config) => (onChange) => {
    const accounts = config.clientStore.getState().accounts;
    if (!accounts) {
        throw new errors_js_1.ClientOnlyPropertyError("account");
    }
    const chain = (0, getChain_js_1.getChain)(config);
    return config.clientStore.subscribe(({ accounts }) => accounts[chain.id][type], onChange, {
        equalityFn(a, b) {
            return a?.status === "READY" && b?.status === "READY"
                ? a.account.address === b.account.address
                : a?.status === b?.status;
        },
    });
};
exports.watchAccount = watchAccount;
//# sourceMappingURL=watchAccount.js.map