"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainNotFoundError = exports.ClientOnlyPropertyError = void 0;
const base_js_1 = require("../errors/base.js");
class ClientOnlyPropertyError extends base_js_1.BaseError {
    constructor(property) {
        super(`${property} is only available on the client`);
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: "ClientOnlyPropertyError"
        });
    }
}
exports.ClientOnlyPropertyError = ClientOnlyPropertyError;
class ChainNotFoundError extends base_js_1.BaseError {
    constructor(chain) {
        super(`Chain (${chain.name}) not found in connections config object`, {
            docsPath: "https://accountkit.alchemy.com/react/createConfig",
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: "ChainNotFoundError"
        });
    }
}
exports.ChainNotFoundError = ChainNotFoundError;
//# sourceMappingURL=errors.js.map