"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultUserOperationFeeOptions = void 0;
const aa_core_1 = require("@alchemy/aa-core");
const getDefaultUserOperationFeeOptions = (chain) => {
    const feeOptions = {
        maxFeePerGas: { multiplier: 1.5 },
        maxPriorityFeePerGas: { multiplier: 1.05 },
    };
    if (new Set([
        aa_core_1.arbitrum.id,
        aa_core_1.arbitrumGoerli.id,
        aa_core_1.arbitrumSepolia.id,
        aa_core_1.optimism.id,
        aa_core_1.optimismGoerli.id,
        aa_core_1.optimismSepolia.id,
    ]).has(chain.id)) {
        feeOptions.preVerificationGas = { multiplier: 1.05 };
    }
    return feeOptions;
};
exports.getDefaultUserOperationFeeOptions = getDefaultUserOperationFeeOptions;
//# sourceMappingURL=defaults.js.map