"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAlchemyPaymasterAddress = exports.AlchemyPaymasterAddressV1 = exports.ArbSepoliaPaymasterAddress = exports.AlchemyPaymasterAddressV2 = exports.AlchemyPaymasterAddressV3 = void 0;
const aa_core_1 = require("@alchemy/aa-core");
exports.AlchemyPaymasterAddressV3 = "0x4f84a207A80c39E9e8BaE717c1F25bA7AD1fB08F";
exports.AlchemyPaymasterAddressV2 = "0x4Fd9098af9ddcB41DA48A1d78F91F1398965addc";
exports.ArbSepoliaPaymasterAddress = "0x0804Afe6EEFb73ce7F93CD0d5e7079a5a8068592";
exports.AlchemyPaymasterAddressV1 = "0xc03aac639bb21233e0139381970328db8bceeb67";
const getAlchemyPaymasterAddress = (chain) => {
    switch (chain.id) {
        case aa_core_1.polygonAmoy.id:
        case aa_core_1.optimismSepolia.id:
        case aa_core_1.baseSepolia.id:
        case aa_core_1.zora.id:
        case aa_core_1.zoraSepolia.id:
        case aa_core_1.fraxtal.id:
        case aa_core_1.fraxtalSepolia.id:
            return exports.AlchemyPaymasterAddressV3;
        case aa_core_1.mainnet.id:
        case aa_core_1.arbitrum.id:
        case aa_core_1.optimism.id:
        case aa_core_1.polygon.id:
        case aa_core_1.base.id:
            return exports.AlchemyPaymasterAddressV2;
        case aa_core_1.arbitrumSepolia.id:
            return exports.ArbSepoliaPaymasterAddress;
        case aa_core_1.sepolia.id:
        case aa_core_1.polygonMumbai.id:
            return exports.AlchemyPaymasterAddressV1;
        default:
            throw new Error(`Unsupported chain: ${chain}`);
    }
};
exports.getAlchemyPaymasterAddress = getAlchemyPaymasterAddress;
//# sourceMappingURL=gas-manager.js.map