"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddPasskey = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const useAddPasskey_js_1 = require("../../../hooks/useAddPasskey.js");
const passkey_js_1 = require("../../../icons/passkey.js");
const strings_js_1 = require("../../../strings.js");
const button_js_1 = require("../../button.js");
const poweredby_js_1 = require("../../poweredby.js");
const context_js_1 = require("../context.js");
const BENEFITS = [
    {
        icon: (0, jsx_runtime_1.jsx)(passkey_js_1.PasskeySmiley, {}),
        title: strings_js_1.ls.addPasskey.simplerLoginTitle,
        description: strings_js_1.ls.addPasskey.simplerLoginDescription,
    },
    {
        icon: (0, jsx_runtime_1.jsx)(passkey_js_1.PasskeyShield, {}),
        title: strings_js_1.ls.addPasskey.enhancedSecurityTitle,
        description: strings_js_1.ls.addPasskey.enhancedSecurityDescription,
    },
];
const AddPasskey = () => {
    const { setAuthStep } = (0, context_js_1.useAuthContext)();
    const { addPasskey, isAddingPasskey } = (0, useAddPasskey_js_1.useAddPasskey)({
        onSuccess: () => {
            setAuthStep({ type: "passkey_create_success" });
        },
    });
    return ((0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col gap-5 items-center", children: [(0, jsx_runtime_1.jsx)("div", { className: "flex flex-col items-center justify-center h-12 w-12", children: (0, jsx_runtime_1.jsx)(passkey_js_1.PasskeyIllustration, {}) }), (0, jsx_runtime_1.jsx)("h3", { className: "font-semibold text-lg", children: strings_js_1.ls.addPasskey.title }), (0, jsx_runtime_1.jsx)("div", { className: "flex flex-col w-full gap-3", children: BENEFITS.map(({ title, icon, description }) => ((0, jsx_runtime_1.jsxs)("div", { className: "flex gap-2", children: [(0, jsx_runtime_1.jsx)("div", { className: "h-5 w-5 flex items-center justify-center", children: icon }), (0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col", children: [(0, jsx_runtime_1.jsx)("p", { className: "font-semibold text-sm", children: title }), (0, jsx_runtime_1.jsx)("p", { className: "text-fg-secondary text-sm", children: description })] })] }, title))) }), (0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col w-full gap-3", children: [(0, jsx_runtime_1.jsx)(button_js_1.Button, { variant: "primary", onClick: () => addPasskey(), disabled: isAddingPasskey, children: strings_js_1.ls.addPasskey.continue }), (0, jsx_runtime_1.jsx)(button_js_1.Button, { variant: "secondary", onClick: () => setAuthStep({ type: "complete" }), disabled: isAddingPasskey, children: strings_js_1.ls.addPasskey.skip })] }), (0, jsx_runtime_1.jsx)(poweredby_js_1.PoweredBy, {})] }));
};
exports.AddPasskey = AddPasskey;
//# sourceMappingURL=add-passkey.js.map