"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompletingEmailAuth = exports.LoadingEmail = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useAuthenticate_js_1 = require("../../../../hooks/useAuthenticate.js");
const useSignerStatus_js_1 = require("../../../../hooks/useSignerStatus.js");
const mail_js_1 = require("../../../../icons/mail.js");
const button_js_1 = require("../../../button.js");
const poweredby_js_1 = require("../../../poweredby.js");
const context_js_1 = require("../../context.js");
const spinner_js_1 = require("../../../../icons/spinner.js");
const strings_js_1 = require("../../../../strings.js");
const LoadingEmail = ({ context }) => {
    const [emailResent, setEmailResent] = (0, react_1.useState)(false);
    const { setAuthStep } = (0, context_js_1.useAuthContext)();
    const { authenticate } = (0, useAuthenticate_js_1.useAuthenticate)({
        onSuccess: () => {
            setAuthStep({ type: "complete" });
        },
    });
    (0, react_1.useEffect)(() => {
        if (emailResent) {
            setTimeout(() => {
                setEmailResent(false);
            }, 2000);
        }
    }, [emailResent]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col gap-5 items-center", children: [(0, jsx_runtime_1.jsx)("div", { className: "flex flex-col items-center justify-center h-12 w-12", children: (0, jsx_runtime_1.jsx)(mail_js_1.MailIllustration, {}) }), (0, jsx_runtime_1.jsx)("h3", { className: "font-semibold text-lg", children: strings_js_1.ls.loadingEmail.title }), (0, jsx_runtime_1.jsxs)("p", { className: "text-fg-secondary text-center text-sm", children: [strings_js_1.ls.loadingEmail.verificationSent, (0, jsx_runtime_1.jsx)("br", {}), (0, jsx_runtime_1.jsx)("span", { className: "font-medium", children: context.email })] }), (0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col w-full items-center gap-1", children: [(0, jsx_runtime_1.jsxs)("div", { className: "flex items-center justify-center py-2 gap-x-2", children: [(0, jsx_runtime_1.jsx)("p", { className: "text-fg-tertiary text-xs", children: strings_js_1.ls.loadingEmail.emailNotReceived }), (0, jsx_runtime_1.jsx)(button_js_1.Button, { variant: "link", className: "text-xs font-normal underline", onClick: () => {
                                    authenticate({
                                        type: "email",
                                        email: context.email,
                                    });
                                    setEmailResent(true);
                                }, children: emailResent ? strings_js_1.ls.loadingEmail.resent : strings_js_1.ls.loadingEmail.resend })] }), (0, jsx_runtime_1.jsx)(poweredby_js_1.PoweredBy, {})] })] }));
};
exports.LoadingEmail = LoadingEmail;
const CompletingEmailAuth = ({ context }) => {
    const { isConnected } = (0, useSignerStatus_js_1.useSignerStatus)();
    const { setAuthStep } = (0, context_js_1.useAuthContext)();
    (0, react_1.useEffect)(() => {
        if (isConnected && context.createPasskeyAfter) {
            setAuthStep({ type: "passkey_create" });
        }
        else if (isConnected) {
            setAuthStep({ type: "complete" });
        }
    }, [context.createPasskeyAfter, isConnected, setAuthStep]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col gap-5 items-center", children: [(0, jsx_runtime_1.jsx)("div", { className: "flex flex-col items-center justify-center h-12 w-12", children: (0, jsx_runtime_1.jsx)(spinner_js_1.Spinner, { className: "animate-spin" }) }), (0, jsx_runtime_1.jsx)("p", { className: "text-fg-secondary text-center text-sm", children: strings_js_1.ls.completingEmail.body }), (0, jsx_runtime_1.jsx)(poweredby_js_1.PoweredBy, {})] }));
};
exports.CompletingEmailAuth = CompletingEmailAuth;
//# sourceMappingURL=email.js.map