"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingAuth = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const email_js_1 = require("./email.js");
const passkey_js_1 = require("./passkey.js");
const LoadingAuth = ({ context }) => {
    switch (context?.type) {
        case "email_verify":
            return (0, jsx_runtime_1.jsx)(email_js_1.LoadingEmail, { context: context });
        case "passkey_verify":
            return (0, jsx_runtime_1.jsx)(passkey_js_1.LoadingPasskeyAuth, {});
        case "email_completing":
            return (0, jsx_runtime_1.jsx)(email_js_1.CompletingEmailAuth, { context: context });
        default: {
            console.warn("Unhandled loading state! rendering empty state", context);
            return null;
        }
    }
};
exports.LoadingAuth = LoadingAuth;
//# sourceMappingURL=index.js.map