"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Step = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const context_js_1 = require("../context.js");
const add_passkey_js_1 = require("./add-passkey.js");
const eoa_js_1 = require("./eoa.js");
const index_js_1 = require("./loading/index.js");
const main_js_1 = require("./main.js");
const passkey_added_js_1 = require("./passkey-added.js");
const Step = (props) => {
    const { authStep } = (0, context_js_1.useAuthContext)();
    switch (authStep.type) {
        case "email_verify":
        case "passkey_verify":
        case "email_completing":
            return (0, jsx_runtime_1.jsx)(index_js_1.LoadingAuth, { context: authStep });
        case "passkey_create":
            return (0, jsx_runtime_1.jsx)(add_passkey_js_1.AddPasskey, {});
        case "passkey_create_success":
            return (0, jsx_runtime_1.jsx)(passkey_added_js_1.PasskeyAdded, {});
        case "eoa_connect":
            return (0, jsx_runtime_1.jsx)(eoa_js_1.EoaConnectCard, { authStep: authStep });
        case "complete":
        case "initial":
        default:
            return (0, jsx_runtime_1.jsx)(main_js_1.MainAuthContent, { ...props });
    }
};
exports.Step = Step;
//# sourceMappingURL=steps.js.map