"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePasskeyVerify = void 0;
const react_1 = require("react");
const useAuthenticate_js_1 = require("../../../hooks/useAuthenticate.js");
const context_js_1 = require("../context.js");
const usePasskeyVerify = () => {
    const { setAuthStep } = (0, context_js_1.useAuthContext)();
    const { authenticate: authenticate_, isPending } = (0, useAuthenticate_js_1.useAuthenticate)({
        onMutate: () => {
            setAuthStep({ type: "passkey_verify" });
        },
        onError: (err) => {
            setAuthStep({ type: "passkey_verify", error: err });
        },
        onSuccess: () => {
            setAuthStep({ type: "complete" });
        },
    });
    const authenticate = (0, react_1.useCallback)(() => authenticate_({ type: "passkey", createNew: false }), [authenticate_]);
    return {
        isPending,
        authenticate,
    };
};
exports.usePasskeyVerify = usePasskeyVerify;
//# sourceMappingURL=usePasskeyVerify.js.map