"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthSection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const EmailAuth_js_1 = require("./EmailAuth.js");
const InjectedProvidersAuth_js_1 = require("./InjectedProvidersAuth.js");
const PasskeyAuth_js_1 = require("./PasskeyAuth.js");
const AuthSection = ({ authTypes, ...props }) => {
    return ((0, jsx_runtime_1.jsx)("div", { className: "flex flex-col gap-2 w-full", ...props, children: authTypes.map((authType, index) => {
            switch (authType.type) {
                case "email":
                    return (0, jsx_runtime_1.jsx)(EmailAuth_js_1.EmailAuth, { ...authType }, index);
                case "passkey":
                    return (0, jsx_runtime_1.jsx)(PasskeyAuth_js_1.PasskeyAuth, { ...authType }, index);
                case "injected":
                    return (0, jsx_runtime_1.jsx)(InjectedProvidersAuth_js_1.InjectedProvidersAuth, {}, index);
                default:
                    throw new Error("Not implemented");
            }
        }) }));
};
exports.AuthSection = AuthSection;
//# sourceMappingURL=AuthSection.js.map