"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedEOAActionError = exports.MissingUiConfigError = exports.ClientUndefinedHookError = exports.NoAlchemyAccountContextError = void 0;
const base_js_1 = require("../errors/base.js");
class NoAlchemyAccountContextError extends base_js_1.BaseError {
    constructor(hookName) {
        super(`${hookName} must be used within a AlchemyAccountProvider`);
    }
}
exports.NoAlchemyAccountContextError = NoAlchemyAccountContextError;
class ClientUndefinedHookError extends base_js_1.BaseError {
    constructor(hookName) {
        super(`client must be defined in ${hookName}`);
    }
}
exports.ClientUndefinedHookError = ClientUndefinedHookError;
class MissingUiConfigError extends base_js_1.BaseError {
    constructor(hookName) {
        super(`${hookName}: uiConfig must be supplied to AlchemyAccountProvider to use this hook`);
    }
}
exports.MissingUiConfigError = MissingUiConfigError;
class UnsupportedEOAActionError extends base_js_1.BaseError {
    constructor(hookName, action) {
        super(`${hookName}: ${action} is not supported for EOA accounts`);
    }
}
exports.UnsupportedEOAActionError = UnsupportedEOAActionError;
//# sourceMappingURL=errors.js.map