"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAddPasskey = void 0;
const react_query_1 = require("@tanstack/react-query");
const context_js_1 = require("../context.js");
const useSigner_js_1 = require("./useSigner.js");
function useAddPasskey(mutationArgs) {
    const { queryClient } = (0, context_js_1.useAlchemyAccountContext)();
    const signer = (0, useSigner_js_1.useSigner)();
    const { mutate: addPasskey, isPending: isAddingPasskey, error, } = (0, react_query_1.useMutation)({
        mutationFn: async (params) => {
            return signer.addPasskey(params ?? undefined);
        },
        ...mutationArgs,
    }, queryClient);
    return {
        addPasskey,
        isAddingPasskey,
        error,
    };
}
exports.useAddPasskey = useAddPasskey;
//# sourceMappingURL=useAddPasskey.js.map