"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useChain = void 0;
const react_query_1 = require("@tanstack/react-query");
const react_1 = require("react");
const getChain_js_1 = require("../../config/actions/getChain.js");
const setChain_js_1 = require("../../config/actions/setChain.js");
const watchChain_js_1 = require("../../config/actions/watchChain.js");
const context_js_1 = require("../context.js");
function useChain(mutationArgs) {
    const { config } = (0, context_js_1.useAlchemyAccountContext)();
    const chain = (0, react_1.useSyncExternalStore)((0, watchChain_js_1.watchChain)(config), () => (0, getChain_js_1.getChain)(config), () => (0, getChain_js_1.getChain)(config));
    const { mutate: setChain, isPending } = (0, react_query_1.useMutation)({
        mutationFn: ({ chain }) => (0, setChain_js_1.setChain)(config, chain),
        ...mutationArgs,
    });
    return {
        chain,
        setChain,
        isSettingChain: isPending,
    };
}
exports.useChain = useChain;
//# sourceMappingURL=useChain.js.map