import { type UseMutateFunction } from "@tanstack/react-query";
import { type CSSProperties } from "react";
import type { ExportWalletParams as ExportAccountParams } from "../../index.js";
import type { BaseHookMutationArgs } from "../types.js";
export type UseExportAccountMutationArgs = {
    params?: ExportAccountParams;
} & BaseHookMutationArgs<boolean, void>;
export type ExportAccountComponentProps = {
    iframeCss?: CSSProperties;
    className?: string;
    isExported: boolean;
};
export type UseExportAccountResult = {
    exportAccount: UseMutateFunction<boolean, Error, void, unknown>;
    isExported: boolean;
    isExporting: boolean;
    error: Error | null;
    ExportAccountComponent: (props: ExportAccountComponentProps) => JSX.Element;
};
export declare function useExportAccount(args?: UseExportAccountMutationArgs): UseExportAccountResult;
