"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogout = void 0;
const react_query_1 = require("@tanstack/react-query");
const wagmi_1 = require("wagmi");
const context_js_1 = require("../context.js");
const useSigner_js_1 = require("./useSigner.js");
function useLogout(mutationArgs) {
    const { queryClient, config: { _internal: { wagmiConfig }, }, } = (0, context_js_1.useAlchemyAccountContext)();
    const signer = (0, useSigner_js_1.useSigner)();
    const { disconnectAsync } = (0, wagmi_1.useDisconnect)({ config: wagmiConfig });
    const { mutate: logout, isPending: isLoggingOut, error, } = (0, react_query_1.useMutation)({
        mutationFn: async () => {
            await disconnectAsync();
            return signer?.disconnect();
        },
        ...mutationArgs,
    }, queryClient);
    return {
        logout,
        isLoggingOut,
        error,
    };
}
exports.useLogout = useLogout;
//# sourceMappingURL=useLogout.js.map