"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUser = void 0;
const react_1 = require("react");
const wagmi_1 = require("wagmi");
const getUser_js_1 = require("../../config/actions/getUser.js");
const watchUser_js_1 = require("../../config/actions/watchUser.js");
const context_js_1 = require("../context.js");
const useUser = () => {
    const { config } = (0, context_js_1.useAlchemyAccountContext)();
    const { _internal: { wagmiConfig }, } = config;
    const account = (0, wagmi_1.useAccount)({ config: wagmiConfig });
    const user = (0, react_1.useSyncExternalStore)((0, watchUser_js_1.watchUser)(config), () => (0, getUser_js_1.getUser)(config) ?? null, () => (0, getUser_js_1.getUser)(config) ?? null);
    const eoaUser = (0, react_1.useMemo)(() => {
        if (account.status !== "connected") {
            return null;
        }
        return {
            address: account.address,
            orgId: account.address,
            userId: account.address,
            type: "eoa",
        };
    }, [account.address, account.status]);
    if (eoaUser)
        return eoaUser;
    return user;
};
exports.useUser = useUser;
//# sourceMappingURL=useUser.js.map