"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hydrate = void 0;
const react_1 = require("react");
const hydrate_js_1 = require("../config/hydrate.js");
function Hydrate(props) {
    const { children, config, initialState } = props;
    const { onMount } = (0, hydrate_js_1.hydrate)(config, initialState);
    if (!config._internal.ssr) {
        onMount();
    }
    const active = (0, react_1.useRef)(true);
    (0, react_1.useEffect)(() => {
        if (!active.current)
            return;
        if (!config._internal.ssr)
            return;
        onMount();
        return () => {
            active.current = false;
        };
    }, []);
    return children;
}
exports.Hydrate = Hydrate;
//# sourceMappingURL=hydrate.js.map