"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlchemySigner = exports.AlchemySignerParamsSchema = void 0;
const zod_1 = require("zod");
const base_js_1 = require("./base.js");
const index_js_1 = require("./client/index.js");
const manager_js_1 = require("./session/manager.js");
exports.AlchemySignerParamsSchema = zod_1.z
    .object({
    client: zod_1.z
        .custom()
        .or(index_js_1.AlchemySignerClientParamsSchema),
})
    .extend({
    sessionConfig: manager_js_1.SessionManagerParamsSchema.omit({ client: true }).optional(),
});
class AlchemySigner extends base_js_1.BaseAlchemySigner {
    constructor(params_) {
        const { sessionConfig, ...params } = exports.AlchemySignerParamsSchema.parse(params_);
        let client;
        if ("connection" in params.client) {
            client = new index_js_1.AlchemySignerWebClient(params.client);
        }
        else {
            client = params.client;
        }
        super({
            client,
            sessionConfig,
        });
    }
}
exports.AlchemySigner = AlchemySigner;
//# sourceMappingURL=signer.js.map