"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colorVariables = void 0;
const utils_js_1 = require("../utils.js");
const colorVariables = (theme) => {
    const { colors } = theme;
    const rules = Object.entries(colors).reduce((accum, [name_, variant]) => {
        const name = name_;
        accum[`@apply [${(0, utils_js_1.getColorVariableName)(name)}:${variant.light.replaceAll(" ", "_")}] dark:[${(0, utils_js_1.getColorVariableName)(name)}:${variant.dark.replaceAll(" ", "_")}]`] = {};
        return accum;
    }, {});
    return {
        ":root": {
            ...rules,
        },
    };
};
exports.colorVariables = colorVariables;
//# sourceMappingURL=colorsvars.js.map