"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColorVariableName = exports.apply = exports.createColorSet = void 0;
const createColorSet = (light, dark) => ({
    light,
    dark,
});
exports.createColorSet = createColorSet;
const apply = (source, target) => {
    if (!target)
        return source;
    for (const key in source) {
        if (target[key] == null) {
            continue;
        }
        else if (typeof source[key] !== "object") {
            source[key] = target[key];
        }
        else {
            (0, exports.apply)(source[key], target[key]);
        }
    }
    return source;
};
exports.apply = apply;
const getColorVariableName = (name) => {
    return `--akui-${name}`;
};
exports.getColorVariableName = getColorVariableName;
//# sourceMappingURL=utils.js.map