import { AlchemySdkClientSchema } from "../../schema.js";
export const alchemyEnhancedApiActions = (alchemy) => (client) => {
    const alchemySdk = AlchemySdkClientSchema.parse(alchemy);
    if (client.transport.type === "http") {
        const { url } = client.transport;
        if (client.transport.type === "http" &&
            alchemy.config.url &&
            alchemy.config.url !== url) {
            throw new Error("Alchemy SDK client JSON-RPC URL must match AlchemyProvider JSON-RPC URL");
        }
    }
    return {
        core: alchemySdk.core,
        nft: alchemySdk.nft,
        transact: alchemySdk.transact,
        debug: alchemySdk.debug,
        ws: alchemySdk.ws,
        notify: alchemySdk.notify,
        config: alchemySdk.config,
    };
};
//# sourceMappingURL=alchemyEnhancedApis.js.map