import { createLightAccount, lightAccountClientActions, } from "@alchemy/aa-accounts";
import { custom } from "viem";
import { AlchemyProviderConfigSchema } from "../schema.js";
import { createAlchemySmartAccountClientFromRpcClient } from "./internal/smartAccountClientFromRpc.js";
import { createAlchemyPublicRpcClient } from "./rpcClient.js";
import {} from "./smartAccountClient.js";
export async function createLightAccountAlchemyClient(config) {
    const { chain, opts, ...connectionConfig } = AlchemyProviderConfigSchema.parse(config);
    const client = createAlchemyPublicRpcClient({
        chain,
        connectionConfig,
    });
    const account = await createLightAccount({
        transport: custom(client),
        ...config,
    });
    return createAlchemySmartAccountClientFromRpcClient({
        ...config,
        client,
        account,
        opts,
    }).extend(lightAccountClientActions);
}
//# sourceMappingURL=lightAccountClient.js.map