import { switchChain } from "@wagmi/core";
import { createAlchemyPublicRpcClient } from "../../client/rpcClient.js";
import { ChainNotFoundError } from "../errors.js";
export async function setChain(config, chain) {
    const connection = config.coreStore.getState().connections.get(chain.id);
    if (connection == null) {
        throw new ChainNotFoundError(chain);
    }
    await switchChain(config._internal.wagmiConfig, { chainId: chain.id });
    config.coreStore.setState(() => ({
        chain,
        bundlerClient: createAlchemyPublicRpcClient({
            chain,
            connectionConfig: connection,
        }),
    }));
}
//# sourceMappingURL=setChain.js.map