import { ClientOnlyPropertyError } from "../errors.js";
import {} from "./getAccount.js";
import { getChain } from "./getChain.js";
export const watchAccount = (type, config) => (onChange) => {
    const accounts = config.clientStore.getState().accounts;
    if (!accounts) {
        throw new ClientOnlyPropertyError("account");
    }
    const chain = getChain(config);
    return config.clientStore.subscribe(({ accounts }) => accounts[chain.id][type], onChange, {
        equalityFn(a, b) {
            return a?.status === "READY" && b?.status === "READY"
                ? a.account.address === b.account.address
                : a?.status === b?.status;
        },
    });
};
//# sourceMappingURL=watchAccount.js.map