import { BaseError } from "../errors/base.js";
export class ClientOnlyPropertyError extends BaseError {
    constructor(property) {
        super(`${property} is only available on the client`);
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: "ClientOnlyPropertyError"
        });
    }
}
export class ChainNotFoundError extends BaseError {
    constructor(chain) {
        super(`Chain (${chain.name}) not found in connections config object`, {
            docsPath: "https://accountkit.alchemy.com/react/createConfig",
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: "ChainNotFoundError"
        });
    }
}
//# sourceMappingURL=errors.js.map