import { arbitrum, arbitrumGoerli, arbitrumSepolia, optimism, optimismGoerli, optimismSepolia, } from "@alchemy/aa-core";
export const getDefaultUserOperationFeeOptions = (chain) => {
    const feeOptions = {
        maxFeePerGas: { multiplier: 1.5 },
        maxPriorityFeePerGas: { multiplier: 1.05 },
    };
    if (new Set([
        arbitrum.id,
        arbitrumGoerli.id,
        arbitrumSepolia.id,
        optimism.id,
        optimismGoerli.id,
        optimismSepolia.id,
    ]).has(chain.id)) {
        feeOptions.preVerificationGas = { multiplier: 1.05 };
    }
    return feeOptions;
};
//# sourceMappingURL=defaults.js.map