import { applyUserOpOverrideOrFeeOption } from "@alchemy/aa-core";
export const alchemyFeeEstimator = (client) => async (struct, { overrides, feeOptions }) => {
    let [block, maxPriorityFeePerGasEstimate] = await Promise.all([
        client.getBlock({ blockTag: "latest" }),
        client.request({
            method: "rundler_maxPriorityFeePerGas",
            params: [],
        }),
    ]);
    const baseFeePerGas = block.baseFeePerGas;
    if (baseFeePerGas == null) {
        throw new Error("baseFeePerGas is null");
    }
    const maxPriorityFeePerGas = applyUserOpOverrideOrFeeOption(maxPriorityFeePerGasEstimate, overrides?.maxPriorityFeePerGas, feeOptions?.maxPriorityFeePerGas);
    const maxFeePerGas = applyUserOpOverrideOrFeeOption(baseFeePerGas + BigInt(maxPriorityFeePerGas), overrides?.maxFeePerGas, feeOptions?.maxFeePerGas);
    return {
        ...struct,
        maxPriorityFeePerGas,
        maxFeePerGas,
    };
};
//# sourceMappingURL=feeEstimator.js.map