import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useAddPasskey } from "../../../hooks/useAddPasskey.js";
import { PasskeyIllustration, PasskeyShield, PasskeySmiley, } from "../../../icons/passkey.js";
import { ls } from "../../../strings.js";
import { Button } from "../../button.js";
import { PoweredBy } from "../../poweredby.js";
import { useAuthContext } from "../context.js";
const BENEFITS = [
    {
        icon: _jsx(PasskeySmiley, {}),
        title: ls.addPasskey.simplerLoginTitle,
        description: ls.addPasskey.simplerLoginDescription,
    },
    {
        icon: _jsx(PasskeyShield, {}),
        title: ls.addPasskey.enhancedSecurityTitle,
        description: ls.addPasskey.enhancedSecurityDescription,
    },
];
export const AddPasskey = () => {
    const { setAuthStep } = useAuthContext();
    const { addPasskey, isAddingPasskey } = useAddPasskey({
        onSuccess: () => {
            setAuthStep({ type: "passkey_create_success" });
        },
    });
    return (_jsxs("div", { className: "flex flex-col gap-5 items-center", children: [_jsx("div", { className: "flex flex-col items-center justify-center h-12 w-12", children: _jsx(PasskeyIllustration, {}) }), _jsx("h3", { className: "font-semibold text-lg", children: ls.addPasskey.title }), _jsx("div", { className: "flex flex-col w-full gap-3", children: BENEFITS.map(({ title, icon, description }) => (_jsxs("div", { className: "flex gap-2", children: [_jsx("div", { className: "h-5 w-5 flex items-center justify-center", children: icon }), _jsxs("div", { className: "flex flex-col", children: [_jsx("p", { className: "font-semibold text-sm", children: title }), _jsx("p", { className: "text-fg-secondary text-sm", children: description })] })] }, title))) }), _jsxs("div", { className: "flex flex-col w-full gap-3", children: [_jsx(Button, { variant: "primary", onClick: () => addPasskey(), disabled: isAddingPasskey, children: ls.addPasskey.continue }), _jsx(Button, { variant: "secondary", onClick: () => setAuthStep({ type: "complete" }), disabled: isAddingPasskey, children: ls.addPasskey.skip })] }), _jsx(PoweredBy, {})] }));
};
//# sourceMappingURL=add-passkey.js.map