import { jsx as _jsx } from "react/jsx-runtime";
import { CompletingEmailAuth, LoadingEmail } from "./email.js";
import { LoadingPasskeyAuth } from "./passkey.js";
export const LoadingAuth = ({ context }) => {
    switch (context?.type) {
        case "email_verify":
            return _jsx(LoadingEmail, { context: context });
        case "passkey_verify":
            return _jsx(LoadingPasskeyAuth, {});
        case "email_completing":
            return _jsx(CompletingEmailAuth, { context: context });
        default: {
            console.warn("Unhandled loading state! rendering empty state", context);
            return null;
        }
    }
};
//# sourceMappingURL=index.js.map