import { jsx as _jsx } from "react/jsx-runtime";
import { useAuthContext } from "../context.js";
import { AddPasskey } from "./add-passkey.js";
import { EoaConnectCard } from "./eoa.js";
import { LoadingAuth } from "./loading/index.js";
import { MainAuthContent } from "./main.js";
import { PasskeyAdded } from "./passkey-added.js";
export const Step = (props) => {
    const { authStep } = useAuthContext();
    switch (authStep.type) {
        case "email_verify":
        case "passkey_verify":
        case "email_completing":
            return _jsx(LoadingAuth, { context: authStep });
        case "passkey_create":
            return _jsx(AddPasskey, {});
        case "passkey_create_success":
            return _jsx(PasskeyAdded, {});
        case "eoa_connect":
            return _jsx(EoaConnectCard, { authStep: authStep });
        case "complete":
        case "initial":
        default:
            return _jsx(MainAuthContent, { ...props });
    }
};
//# sourceMappingURL=steps.js.map