import { jsx as _jsx } from "react/jsx-runtime";
import { EmailAuth } from "./EmailAuth.js";
import { InjectedProvidersAuth } from "./InjectedProvidersAuth.js";
import { PasskeyAuth } from "./PasskeyAuth.js";
export const AuthSection = ({ authTypes, ...props }) => {
    return (_jsx("div", { className: "flex flex-col gap-2 w-full", ...props, children: authTypes.map((authType, index) => {
            switch (authType.type) {
                case "email":
                    return _jsx(EmailAuth, { ...authType }, index);
                case "passkey":
                    return _jsx(PasskeyAuth, { ...authType }, index);
                case "injected":
                    return _jsx(InjectedProvidersAuth, {}, index);
                default:
                    throw new Error("Not implemented");
            }
        }) }));
};
//# sourceMappingURL=AuthSection.js.map