import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef, } from "react";
import { GoogleIcon } from "../icons/google.js";
export const Button = forwardRef(({ variant, children, icon, className, ...props }, ref) => {
    const btnClass = (() => {
        switch (variant) {
            case "secondary":
                return "btn-secondary";
            case "social":
                return "btn-auth";
            case "link":
                return "btn-link";
            case "primary":
            default:
                return "btn-primary";
        }
    })();
    return (_jsxs("button", { className: `btn ${btnClass} ${className ?? ""}`, ...props, ref: ref, children: [icon && _jsx("span", { children: icon }), children] }));
});
export const DemoSet = (props) => {
    switch (props.variant) {
        case "social": {
            const Icon = () => _jsx(GoogleIcon, {});
            return (_jsxs("div", { className: "flex flex-col gap-2", children: [_jsx(Button, { ...props, icon: _jsx(Icon, {}), children: props.children }), _jsx(Button, { ...props, icon: _jsx(Icon, {}), disabled: true, children: props.children })] }));
        }
        default:
            return (_jsxs("div", { className: "flex flex-col gap-2", children: [_jsx(Button, { ...props, children: props.children }), _jsx(Button, { ...props, disabled: true, children: props.children })] }));
    }
};
//# sourceMappingURL=button.js.map