import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const BaseInput = ({ iconLeft, iconRight, error, className, ...props }) => {
    return (_jsxs("label", { className: `input ${props.disabled ? "input-disabled" : ""} ${error ? "input-error" : ""} ${className ?? ""}`, children: [iconLeft, _jsx("input", { ...props }), iconRight] }));
};
export const Input = ({ label, hint, ...props }) => {
    if (label || hint || props.error) {
        return (_jsxs("label", { className: "form-controls", children: [label && _jsx("span", { className: "form-label", children: label }), _jsx(BaseInput, { ...props }), (props.error ?? hint) && (_jsx("span", { className: "form-hint", children: props.error ?? hint }))] }));
    }
    return _jsx(BaseInput, { ...props });
};
//# sourceMappingURL=input.js.map