import { BaseError } from "../errors/base.js";
export class NoAlchemyAccountContextError extends BaseError {
    constructor(hookName) {
        super(`${hookName} must be used within a AlchemyAccountProvider`);
    }
}
export class ClientUndefinedHookError extends BaseError {
    constructor(hookName) {
        super(`client must be defined in ${hookName}`);
    }
}
export class MissingUiConfigError extends BaseError {
    constructor(hookName) {
        super(`${hookName}: uiConfig must be supplied to AlchemyAccountProvider to use this hook`);
    }
}
export class UnsupportedEOAActionError extends BaseError {
    constructor(hookName, action) {
        super(`${hookName}: ${action} is not supported for EOA accounts`);
    }
}
//# sourceMappingURL=errors.js.map