"use client";
import { useMutation } from "@tanstack/react-query";
import { useAlchemyAccountContext } from "../context.js";
import { useSigner } from "./useSigner.js";
export function useAddPasskey(mutationArgs) {
    const { queryClient } = useAlchemyAccountContext();
    const signer = useSigner();
    const { mutate: addPasskey, isPending: isAddingPasskey, error, } = useMutation({
        mutationFn: async (params) => {
            return signer.addPasskey(params ?? undefined);
        },
        ...mutationArgs,
    }, queryClient);
    return {
        addPasskey,
        isAddingPasskey,
        error,
    };
}
//# sourceMappingURL=useAddPasskey.js.map