import { useAlchemyAccountContext } from "../context.js";
import { MissingUiConfigError } from "../errors.js";
export const useAuthModal = () => {
    const { ui } = useAlchemyAccountContext();
    if (ui == null) {
        throw new MissingUiConfigError("useAuthModal");
    }
    return {
        openAuthModal: ui.openAuthModal,
        closeAuthModal: ui.closeAuthModal,
    };
};
//# sourceMappingURL=useAuthModal.js.map