import { useMutation } from "@tanstack/react-query";
import { useSyncExternalStore } from "react";
import { getChain } from "../../config/actions/getChain.js";
import { setChain as setChainInternal } from "../../config/actions/setChain.js";
import { watchChain } from "../../config/actions/watchChain.js";
import { useAlchemyAccountContext } from "../context.js";
export function useChain(mutationArgs) {
    const { config } = useAlchemyAccountContext();
    const chain = useSyncExternalStore(watchChain(config), () => getChain(config), () => getChain(config));
    const { mutate: setChain, isPending } = useMutation({
        mutationFn: ({ chain }) => setChainInternal(config, chain),
        ...mutationArgs,
    });
    return {
        chain,
        setChain,
        isSettingChain: isPending,
    };
}
//# sourceMappingURL=useChain.js.map