"use client";
import { useMutation } from "@tanstack/react-query";
import { useDisconnect } from "wagmi";
import { useAlchemyAccountContext } from "../context.js";
import { useSigner } from "./useSigner.js";
export function useLogout(mutationArgs) {
    const { queryClient, config: { _internal: { wagmiConfig }, }, } = useAlchemyAccountContext();
    const signer = useSigner();
    const { disconnectAsync } = useDisconnect({ config: wagmiConfig });
    const { mutate: logout, isPending: isLoggingOut, error, } = useMutation({
        mutationFn: async () => {
            await disconnectAsync();
            return signer?.disconnect();
        },
        ...mutationArgs,
    }, queryClient);
    return {
        logout,
        isLoggingOut,
        error,
    };
}
//# sourceMappingURL=useLogout.js.map