"use client";
import { useEffect, useRef } from "react";
import { hydrate } from "../config/hydrate.js";
export function Hydrate(props) {
    const { children, config, initialState } = props;
    const { onMount } = hydrate(config, initialState);
    if (!config._internal.ssr) {
        onMount();
    }
    const active = useRef(true);
    useEffect(() => {
        if (!active.current)
            return;
        if (!config._internal.ssr)
            return;
        onMount();
        return () => {
            active.current = false;
        };
    }, []);
    return children;
}
//# sourceMappingURL=hydrate.js.map