import { getColorVariableName } from "../utils.js";
export const colorVariables = (theme) => {
    const { colors } = theme;
    const rules = Object.entries(colors).reduce((accum, [name_, variant]) => {
        const name = name_;
        accum[`@apply [${getColorVariableName(name)}:${variant.light.replaceAll(" ", "_")}] dark:[${getColorVariableName(name)}:${variant.dark.replaceAll(" ", "_")}]`] = {};
        return accum;
    }, {});
    return {
        ":root": {
            ...rules,
        },
    };
};
//# sourceMappingURL=colorsvars.js.map