import type { AlchemySigner } from "../../signer/signer.js";
import type { AlchemyAccountsConfig } from "../types";
/**
 * If there is a signer attached to the client state, it will return it.
 * The signer should always be null on the server, and will be set on the client
 * if the store was properly hydrated. (see {@link hydrate})
 *
 * @param config The account config which contains the client store
 * @returns the instance of the signer present in the store if it exists, otherwise null
 */
export declare const getSigner: (config: AlchemyAccountsConfig) => AlchemySigner | null;
//# sourceMappingURL=getSigner.d.ts.map