import type { User } from "../../signer";
import type { AlchemyAccountsConfig } from "../types";
/**
 * Returns the currently logged in user if using an SCA with the AlchemySigner
 * or the connected EOA details.
 *
 * @param config the account config containing app state
 * @returns the user if the signer or an EOA are connected
 */
export declare const getUser: (config: AlchemyAccountsConfig) => (User & {
    type: "eoa" | "sca";
}) | null;
//# sourceMappingURL=getUser.d.ts.map