import type { StoredState } from "./store/types";
import type { AlchemyAccountsConfig } from "./types";
/**
 * Will hydrate the client store with the provided initial state if one is provided.
 *
 * @param config the config containing the client store
 * @param initialState optional param detailing the initial ClientState
 * @returns an object containing an onMount function that can be called when your component first renders on the client
 */
export declare function hydrate(config: AlchemyAccountsConfig, initialState?: StoredState): {
    onMount(): Promise<void>;
};
//# sourceMappingURL=hydrate.d.ts.map