import type { Chain } from "viem";
import type { Connection } from "../types.js";
import { type CoreStore } from "./types.js";
export type CreateCoreStoreParams = {
    connections: Connection[];
    chain: Chain;
    storage?: Storage;
    ssr?: boolean;
};
/**
 * Create the core store for alchemy accounts. This store contains the bundler client
 * as well as the chain configs (including the initial chain to use)
 *
 * @param params connections configs
 * @param params.connections a collection of chains and their connection configs
 * @param params.chain the initial chain to use
 * @param params.storage the storage to use for persisting the state
 * @param params.ssr whether the store is being created on the server
 * @returns the core store
 */
export declare const createCoreStore: (params: CreateCoreStoreParams) => CoreStore;
//# sourceMappingURL=core.d.ts.map