import { type ReactNode } from "react";
import type { AuthType } from "../types.js";
export type AuthCardProps = {
    hideError?: boolean;
    header?: ReactNode;
    showSignInText?: boolean;
    sections?: AuthType[][];
    className?: string;
    onAuthSuccess?: () => void;
};
/**
 * React component containing an Auth view with configured auth methods
 *
 * @param props Card Props
 * @param props.header optional header for the card (good place to put your app name or logo)
 * @param props.showSignInText optional boolean to show the sign in text (defaults to true)
 * @param props.sections array of sections, each containing an array of auth types
 * @returns a react component containing the AuthCard
 */
export declare const AuthCard: (props: AuthCardProps & {
    showNavigation?: boolean;
    showClose?: boolean;
}) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=index.d.ts.map