/// <reference types="react" />
import type { Connector } from "@wagmi/core";
export type AuthStep = {
    type: "email_verify";
    email: string;
} | {
    type: "passkey_verify";
    error?: Error;
} | {
    type: "passkey_create";
} | {
    type: "passkey_create_success";
} | {
    type: "email_completing";
    createPasskeyAfter?: boolean;
} | {
    type: "initial";
} | {
    type: "complete";
} | {
    type: "eoa_connect";
    connector: Connector;
    error?: Error;
};
type AuthContextType = {
    authStep: AuthStep;
    setAuthStep: (step: AuthStep) => void;
};
export declare const AuthModalContext: import("react").Context<AuthContextType | undefined>;
export declare const useAuthContext: () => AuthContextType;
export {};
//# sourceMappingURL=context.d.ts.map