import { type AccountLoupeActions, type LightAccount, type LightAccountClientActions, type MultiOwnerModularAccount, type MultiOwnerPluginActions, type PluginManagerActions } from "@alchemy/aa-accounts";
import type { Address, Chain, Transport } from "viem";
import type { AlchemySmartAccountClient, AlchemySmartAccountClientConfig } from "../../client/smartAccountClient";
import type { SupportedAccount, SupportedAccountTypes, SupportedAccounts } from "../../config";
import type { GetAccountParams } from "../../config/actions/getAccount.js";
import type { AlchemySigner } from "../../signer";
export type UseSmartAccountClientProps<TTransport extends Transport = Transport, TChain extends Chain | undefined = Chain | undefined, TAccount extends SupportedAccountTypes = SupportedAccountTypes> = Omit<AlchemySmartAccountClientConfig<TTransport, TChain, SupportedAccount<TAccount>>, "rpcUrl" | "chain" | "apiKey" | "jwt" | "account"> & GetAccountParams<TAccount>;
export type ClientActions<TAccount extends SupportedAccounts = SupportedAccounts> = TAccount extends LightAccount ? LightAccountClientActions<AlchemySigner> : TAccount extends MultiOwnerModularAccount ? MultiOwnerPluginActions<MultiOwnerModularAccount<AlchemySigner>> & PluginManagerActions<MultiOwnerModularAccount<AlchemySigner>> & AccountLoupeActions<MultiOwnerModularAccount<AlchemySigner>> : never;
export type UseSmartAccountClientResult<TTransport extends Transport = Transport, TChain extends Chain | undefined = Chain | undefined, TAccount extends SupportedAccounts = SupportedAccounts> = {
    client?: AlchemySmartAccountClient<TTransport, TChain, TAccount, ClientActions<TAccount>>;
    address?: Address;
    isLoadingClient: boolean;
};
export declare function useSmartAccountClient<TTransport extends Transport = Transport, TChain extends Chain | undefined = Chain | undefined, TAccount extends SupportedAccountTypes = SupportedAccountTypes>(args: UseSmartAccountClientProps<TTransport, TChain, TAccount>): UseSmartAccountClientResult<TTransport, TChain, SupportedAccount<TAccount>>;
//# sourceMappingURL=useSmartAccountClient.d.ts.map