import { type PluginAPI } from "tailwindcss/types/config";
export type ColorVariant = "dark" | "light";
export type ColorVariantRecord = Record<ColorVariant, string>;
export interface AccountKitTheme {
    colors: {
        active: ColorVariantRecord;
        static: ColorVariantRecord;
        critical: ColorVariantRecord;
        "btn-primary": ColorVariantRecord;
        "btn-secondary": ColorVariantRecord;
        "btn-auth": ColorVariantRecord;
        "fg-primary": ColorVariantRecord;
        "fg-secondary": ColorVariantRecord;
        "fg-tertiary": ColorVariantRecord;
        "fg-invert": ColorVariantRecord;
        "fg-disabled": ColorVariantRecord;
        "fg-accent-brand": ColorVariantRecord;
        "fg-critical": ColorVariantRecord;
        "bg-surface-default": ColorVariantRecord;
        "bg-surface-subtle": ColorVariantRecord;
        "bg-surface-inset": ColorVariantRecord;
        "bg-surface-critical": ColorVariantRecord;
        "bg-surface-success": ColorVariantRecord;
        "bg-surface-warning": ColorVariantRecord;
        "bg-surface-error": ColorVariantRecord;
    };
}
export type AccountKitThemeColor = keyof AccountKitTheme["colors"];
export type DeepPartial<T> = T extends object ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : T;
export type AccountKitThemeOverride = DeepPartial<AccountKitTheme>;
export type ComponentDef = Parameters<PluginAPI["addComponents"]>[0];
export type UtilityDef = Parameters<PluginAPI["addUtilities"]>[0];
export type ThemeFn = PluginAPI["theme"];
//# sourceMappingURL=types.d.ts.map